
%if 0%{?with_debug}
# https://bugzilla.redhat.com/show_bug.cgi?id=995136#c12
%global _dwz_low_mem_die_limit 0
%else
%global debug_package   %{nil}
%endif

%global golang_version      1.12.10

Name:           kubernetes-cni
Version:        0.6.0
Release:        2.2.5%{?dist}
BuildArch:      x86_64
Summary:        Container Network Interface - networking for Linux containers
License:        Apache-2.0
Vendor:         Oracle America
Group:          System/Management
Url:            https://github.com/containernetworking/cni
Source:         cni-%{version}.tar.bz2
Requires:       kubernetes-cni-plugins = 0.7.6
BuildRequires:  golang = %{golang_version}
#%{?systemd_requires}

%description
The CNI (Container Network Interface) project consists of a
specification and libraries for writing plugins to configure
network interfaces in Linux containers, along with a number of
supported plugins. CNI concerns itself only with network
connectivity of containers and removing allocated resources when
the container is deleted. Because of this focus, CNI has a wide
range of support and the specification is simple to implement.

This is the minimal CNI configuration for Kubernetes.

%prep
%setup -q -n cni-%{version}

%build

chmod +x build.sh
./build.sh

%install
install -m 755 -d %{buildroot}/opt/cni
mv bin/ %{buildroot}/opt/cni/

%files
%license LICENSE THIRD_PARTY_LICENSES.txt
/opt/cni

%changelog
* Thu Oct 17 2019 Thomas Tanaka <thomas.tanaka@oracle.com> - 0.6.0-2.2.5
- Add THIRD_PARTY_LICENSES.txt

* Tue Oct 15 2019 Thomas Tanaka <thomas.tanaka@oracle.com> - 0.6.0-2.2.4
- Golang CVE-2019-16276

* Mon Jun 24 2019 Tom Cocozzello <tom.cocozzello@oracle.com> - 0.6.0-2.2.3
- Fix build file permissions before executing

* Wed Jun 19 2019 Tom Cocozzello <tom.cocozzello@oracle.com> - 0.6.0-2.2.2
- Added Oracle specific build files for Kubernetes CNI

* Thu Apr 04 2019 Tom Cocozzello <tom.cocozzello@oracle.com> - 0.6.0-2.2.1
- [OLCNE-235] [CVE-2019-9946] portmap inserts rules at the front of the iptables nat chains

* Mon Feb 04 2019 Thomas Tanaka <thomas.tanaka@oracle.com> - 0.6.0-2.1.1
- CVE-2019-6486

* Fri Feb 16 2018 Thomas Tanaka <thomas.tanaka@oracle.com> - 0.6.0-2.0.1
- Production built 0.6.0-2.0.1

* Thu Aug 31 2017 Thomas Tanaka <thomas.tanaka@oracle.com> - 0.6.0-1.0.1
- Update to v0.6.0

* Tue Aug 01 2017 Thomas Tanaka <thomas.tanaka@oracle.com> - 0.5.2-2.0.1
- Update to v0.5.2
